package it.integry.integrywmsnative.gest.contab_doc_interni.dto;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

public class PropostaOrdineDTO {

	List<ArticoliDTO> articoli;
	private Date dataOrd;
	private String compilatoDa;

	public Date getDataOrd() {
		return dataOrd;
	}

	public PropostaOrdineDTO setDataOrd(Date dataOrd) {
		this.dataOrd = dataOrd;
		return this;
	}

	public String getCompilatoDa() {
		return compilatoDa;
	}

	public PropostaOrdineDTO setCompilatoDa(String compilatoDa) {
		this.compilatoDa = compilatoDa;
		return this;
	}

	public List<ArticoliDTO> getArticoli() {
		return articoli;
	}

	public PropostaOrdineDTO setArticoli(List<ArticoliDTO> articoli) {
		this.articoli = articoli;
		return this;
	}

	public static class ArticoliDTO {
		String codMart, untMis, codArtFor, listino;
		BigDecimal qtaOrd, qtaCnf;

		public String getCodMart() {
			return codMart;
		}

		public ArticoliDTO setCodMart(String codMart) {
			this.codMart = codMart;
			return this;
		}

		public String getUntMis() {
			return untMis;
		}

		public ArticoliDTO setUntMis(String untMis) {
			this.untMis = untMis;
			return this;
		}

		public String getCodArtFor() {
			return codArtFor;
		}

		public ArticoliDTO setCodArtFor(String codArtFor) {
			this.codArtFor = codArtFor;
			return this;
		}

		public String getListino() {
			return listino;
		}

		public ArticoliDTO setListino(String listino) {
			this.listino = listino;
			return this;
		}

		public BigDecimal getQtaOrd() {
			return qtaOrd;
		}

		public ArticoliDTO setQtaOrd(BigDecimal qtaOrd) {
			this.qtaOrd = qtaOrd;
			return this;
		}

		public BigDecimal getQtaCnf() {
			return qtaCnf;
		}

		public ArticoliDTO setQtaCnf(BigDecimal qtaCnf) {
			this.qtaCnf = qtaCnf;
			return this;
		}
	}
}
